Jetpack設定時出現「你的網站需要為公開訪問」

順利把Wordpress升級到4.2及Jetpack升級到3.5。
但是今天發了一篇帶有圖片的文章後,瀏覽時卻出現安全性認證的問題。
雖然只要我們只要讓瀏覽器認證之後就可以正常顯示圖片,但是對一般人來說還是不方便的。



所以我查看圖片連結網址,發現是HTTPS開頭的安全機制,但是有啟用Jetpack的photon CDN功能,
而且之前文章的圖片也都是正常可以顯示,於是我就把Jetpack先停用再啟用。

沒想到一啟用就出現了「Jetpack 需要你的網站為可公開訪問的網站」的錯誤訊息,
在網路找了一些解法,試了還是無法解決Jetpack 3.5出現的這個錯誤訊息,
最後試著把強制後端以HTTPS登入的功能取消,改以HTTP登入後再重新連結就成功了。


Wordpress預設一律強制後端管理以HTTPS登入,雖然比較安全,但是有時候就會對外掛產生困擾。

取消的方法是在wordpress的目錄內,找到wp-config.php這個檔案,
接著開啟檔案,找出FORCE_SSL_ADMIN的設定值由true改為false就可以了。
define('FORCE_SSL_ADMIN', false);

修改 Ubuntu 20.04 系統時區